## gate.annotation
Class AnnotationDiff.AnnotationDiffTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--gate.annotation.AnnotationDiff.AnnotationDiffTableModel

All Implemented Interfaces:
  Serializable, TableModel

Enclosing class:
  AnnotationDiff

protected class AnnotationDiff.AnnotationDiffTableModel
extends AbstractTableModel

A custom table model used to render a table containing the two annotation sets. The columns will be: (KEY) Type, Start, End, Features, empty column,(Response) Type,Start, End, Features

See Also:
  Serialized Form

Field Summary
`private List` `modelData` Holds the data for TableDiff

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`AnnotationDiff.AnnotationDiffTableModel()` Constructs an AnnotationDiffTableModel
`AnnotationDiff.AnnotationDiffTableModel(Collection data)` Constructs an AnnotationDiffTableModel given a data Collection

Method Summary
`Class` `getColumnClass(int column)` Return the class type for each column.
`int` `getColumnCount()` Return the number of columns.
`String` `getColumnName(int column)` Returns the name of each column in the model
`Object` `getRawObject(int row)`
`int` `getRowCount()` Return the size of data.
`Object` `getValueAt(int row, int column)` Returns a value from the table model

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### modelData

    private List modelData

  Holds the data for TableDiff

Constructor Detail

### AnnotationDiff.AnnotationDiffTableModel

    public AnnotationDiff.AnnotationDiffTableModel(Collection data)

  Constructs an AnnotationDiffTableModel given a data Collection

### AnnotationDiff.AnnotationDiffTableModel

    public AnnotationDiff.AnnotationDiffTableModel()

  Constructs an AnnotationDiffTableModel

Method Detail

### getRowCount

    public int getRowCount()

  Return the size of data.
  Overrides:
    `getRowCount` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Return the number of columns.
  Overrides:
    `getColumnCount` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Returns the name of each column in the model
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int column)

  Return the class type for each column.
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Returns a value from the table model
  Overrides:
    `getValueAt` in class `AbstractTableModel`

### getRawObject

    public Object getRawObject(int row)